You are here

Email this article

Brightspace Pulse Platform Requirements

Printer-friendly version

You can download Brightspace Pulse the Google Play™ store or Apple App Store® .

Operating system support

Note: Brightspace Pulse is optimized for mobile devices.

Android

iOS

Android TM 4.4 or later on tablets or phones

iOS ® 9.0, 10.0 or later on the following devices:

  • iPhone® 4s
  • iPhone 5, 5c, 5s
  • iPhone SE
  • iPhone 6, 6 Plus, 6s, 6s Plus
  • iPhone 7, 7 Plus
  • iPod® touch (5th and 6th generation)